Package uk.ac.starlink.topcat.plot2

## Class SpectrogramLayerControl

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.TabberControl
  - - uk.ac.starlink.topcat.plot2.ConfigControl
    - - uk.ac.starlink.topcat.plot2.BasicCoordLayerControl
      - - uk.ac.starlink.topcat.plot2.SpectrogramLayerControl

- All Implemented Interfaces:
    `Configger`, `Control`, `LayerControl`

      public class SpectrogramLayerControl
      extends BasicCoordLayerControl

  LayerControl for plotting spectrograms.
  Since:
    15 Aug 2013
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpectrogramLayerControl​(uk.ac.starlink.ttools.plot2.layer.SpectrogramPlotter plotter, javax.swing.ListModel<TopcatModel> tablesModel, uk.ac.starlink.ttools.plot2.config.Specifier<ZoneId> zsel, Configger baseConfigger)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `uk.ac.starlink.ttools.plot2.LegendEntry[]` | `getLegendEntries()` | It's difficult to know how to represent a spectrogram in a legend, and it's probably not necessary.
    `protected void` | `tableChanged​(TopcatModel tcModel)` | Called when the TopcatModel for which this control is generating plots is changed.

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.BasicCoordLayerControl

      `getConfig, getControlLabel, getCoordLabel, getCoordPanel, getLayers, getTableSelector, getZoneSpecifier, setTopcatModel, submitReports`

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.ConfigControl

      `addSpecifierTab, getConfigSpecifiers`

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.TabberControl

      `addActionListener, addControlTab, addZoneTab, getActionForwarder, getControlIcon, getPanel, getTabber, removeActionListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface uk.ac.starlink.topcat.plot2.Control

      `addActionListener, getControlIcon, getPanel, removeActionListener`

- - ### Constructor Detail

    - #### SpectrogramLayerControl

          public SpectrogramLayerControl​(uk.ac.starlink.ttools.plot2.layer.SpectrogramPlotter plotter,
                                         javax.swing.ListModel<TopcatModel> tablesModel,
                                         uk.ac.starlink.ttools.plot2.config.Specifier<ZoneId> zsel,
                                         Configger baseConfigger)

      Constructor.
      Parameters:
        `plotter` - spectrogram plotter
        `tablesModel` - list of available tables
        `zsel` - zone id specifier, may be null for single-zone plots
        `baseConfigger` - provides global configuration info

  - ### Method Detail

    - #### getLegendEntries

          public uk.ac.starlink.ttools.plot2.LegendEntry[] getLegendEntries()

      It's difficult to know how to represent a spectrogram in a legend, and it's probably not necessary. The current implementation just returns an empty array.
      Specified by:
        `getLegendEntries` in interface `LayerControl`
      Overrides:
        `getLegendEntries` in class `BasicCoordLayerControl`
      Returns:
        legend entries

    - #### tableChanged

          protected void tableChanged​(TopcatModel tcModel)

      Description copied from class: `BasicCoordLayerControl`
      Called when the TopcatModel for which this control is generating plots is changed. Usually this will be because the user has selected a new table from the table selector.
      Overrides:
        `tableChanged` in class `BasicCoordLayerControl`
      Parameters:
        `tcModel` - new topcat model, may be null